%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   Wx
%define modv   0.99
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A Perl interface to the wxWidgets GUI toolkit
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/M/MB/MBARBON/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-0.98-build.patch
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Mattia Barbon <mbarbon@users.sourceforge.net>
Provides:      wxPerl = %{modv}
Provides:      wxPerl-unicode = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
BuildRequires: perl >= 5.6.1
BuildRequires: perl(Alien::wxWidgets) >= 0.25
BuildRequires: perl(Config)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS) >= 2.2203
BuildRequires: perl(ExtUtils::XSpp) >= 0.16
BuildRequires: perl(Fatal)
BuildRequires: perl(File::Spec::Functions) >= 0.82
BuildRequires: perl(FindBin)
BuildRequires: perl(IO::String)
BuildRequires: perl(Test::Harness) >= 2.26
BuildRequires: perl(Test::More) >= 0.45
BuildRequires: urw-fonts


%description
Wx is a Perl wrapper for the wxWidgets (formerly known as wxWindows) GUI
toolkit.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1

# Filter provides
%{__cat} << \_EOF_ >%{name}-prov
#!/bin/sh
%{__perl_provides} $* | \
	%{__sed} -e '/perl(MY)/d'
_EOF_

%define __perl_provides %{_builddir}/%{modn}-%{modv}/%{name}-prov
%{__chmod} +x %{name}-prov


%build
# Use ExtUtils::ParseXS' xsubpp
PERL5LIB=%{perl_vendorlib} %{__perl} \
	Makefile.PL                  \
	INSTALLDIRS="vendor"         \
	OPTIMIZE="${RPM_OPT_FLAGS} -fno-strict-aliasing -Wno-unused"

%{__make} %{?_smp_mflags}


%check
[ -n "${DISPLAY}" ] && %{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist"       -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -type f -name "*.bs" -a -size 0 -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d          -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes README.txt
%{_bindir}/wxperl_overload
%{perl_vendorarch}/auto/%{modn}
%{perl_vendorarch}/%{modn}
%{perl_vendorarch}/%{modn}.pm
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*


%changelog
* Mon May 23 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.99-1
- New version (0.99)

* Sat Dec 04 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.98-1
- New version (0.98)

* Wed Feb 11 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.89-1
- New version (0.89)

* Sun Oct 05 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.86-1
- New version (0.86)

* Tue May 20 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.82-3
- Rebuilt for updated wxGTK package

* Tue May 13 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.82-2
- Disabled parallel build to prevent missing Wx_Exp.pm

* Tue May 13 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.82-1
- Initial build
